using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using LibUSB_Interface;


namespace MoodlightNS
{
    public partial class Form2 : Form
    {
        Moodlight f;
        public Form2(Moodlight f)
        {
            InitializeComponent();
            this.f = f; 
            byte[] data = new byte[Moodlight.PACKET_LENGTH];
            data[0] = 12;
            byte[] reply =f.usb.usbSend(data, 5);
            red.Value   = reply[2];
            green.Value = reply[3];
            blue.Value = reply[4];
        }

        private void scroll(object sender, EventArgs e)
        {
            label4.Text = red.Value.ToString();
            label1.Text = green.Value.ToString();
            label6.Text = blue.Value.ToString();
            byte[] data = new byte[Moodlight.PACKET_LENGTH];
            data[0] = 1;
            data[1] = (byte)red.Value;
            data[2] = (byte)green.Value;
            data[3] = (byte)blue.Value;
            f.usb.usbSend(data, 4); 
        }

        private void button1_Click(object sender, EventArgs e)
        {
            byte[] data = new byte[Moodlight.PACKET_LENGTH];
            data[0] = 10;
            data[1] = (byte)red.Value;
            data[2] = (byte)green.Value;
            data[3] = (byte)blue.Value;
            f.usb.usbSend(data, 5);
            Close();
        }
    }
}